| BSL430.NET 1.3.4

Public Member Functions | Static Public Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
BSL430_NET.Comm.CommUSB Class Reference
Inheritance diagram for BSL430_NET.Comm.CommUSB:

## Public Member Functions
| CommUSB (BSL430NET root=null, Bsl430NetDevice device=null)
override void | CommOpen (Bsl430NetDevice device)
override void | CommSet (BaudRate baud_rate)
override void | CommDtr (bool val, bool ignore_err=false)
override void | CommRts (bool val, bool ignore_err=false)
override void | CommClrBuff ()
override void | CommClose (bool ignore_err)
override Status | CommXfer (out byte[] msg_rx, byte[] msg_tx, int rx_size)
override Status | Scan< USB_HID_Device > (out List< USB_HID_Device > device_list, ScanOptions scan_opt=ScanOptions.None)
override Bsl430NetDevice | CommGetDefaultDevice ()
Public Member Functions inherited from BSL430_NET.Main.Core
abstract Status | Scan< Tdev > (out List< Tdev > device_list, ScanOptions scan_opt=ScanOptions.None)
BaudRate | GetBaudRate ()
InvokeMechanism | GetInvoke ()
MCU | GetMCU ()
| Core (BSL430NET _root, Mode _mode)
StatusEx | Erase (Bsl430NetDevice device)
StatusEx | Download (Bsl430NetDevice device, byte[] password, int addr_start, int data_size, out List< byte > data)
StatusEx | Upload (Bsl430NetDevice device, string firmware_path, byte[] password)
Status | ChangeBaudRate (BaudRate _baud)
Status | SetInvoke (InvokeMechanism _invoke)
Status | SetMCU (MCU _mcu)
void | Dispose ()

## Static Public Attributes
const string | DEVICE_PREFIX = "USB"

## Properties
override Bsl430NetDevice | DefaultDevice = null`[get, set]`
Properties inherited from BSL430_NET.Main.Core
abstract Bsl430NetDevice | DefaultDevice`[get, set]`
Properties inherited from BSL430_NET.Main.IDevice
Bsl430NetDevice | DefaultDevice`[get, set]`

## Private Member Functions
int | USBCheckLibrary ()

## Private Attributes
readonly Dictionary< string, USB_HID_Device > | devices = new Dictionary<string, USB_HID_Device>()
HidStream | usb
HidDeviceInputReceiver | inputReceiver
ReportDescriptor | reportDescriptor
int | max_output_len = 0
int | max_input_len = 0

## Static Private Attributes
const int | TI_VID = 0x2047
const int | TI_BSL_PID = 0x0200

## Additional Inherited Members
Package Types inherited from BSL430_NET.Main.Core
enum | Command { BaudRate, BSLVersion, MassErase, CRC, Password, Upload, Download, LoadPC }

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/CommUSB.cs